# Uses of Class
javax.swing.JCheckBox

Packages that use JCheckBox
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of JCheckBox in javax.swing

Constructors in javax.swing with parameters of type JCheckBox
Modifier
Constructor
Description
``
`DefaultCellEditor(JCheckBox checkBox)`
Constructs a `DefaultCellEditor` object that uses a check box.